List installed integrations
GET
/projects/{projectId}/integrations
Authentication
API Key (header: X-API-Key)
Path Parameters
projectId
string
required
path
Responses
200
Installed integrations
application/jsondata
object[]
Array of:
id
string
provider
string
e.g. slack, github, shopify, stripe, linear, discord
status
string
Enum:
active, paused, disconnected, errordisplay_name
string | null
setup_type
string
health_status
string
sidebar_enabled
boolean
last_synced_at
string (date-time) | null
error_message
string | null
created_at
string (date-time)
updated_at
string (date-time)
curl -X GET 'https://api.rogeriq.com/api/v1/projects/string/integrations' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.rogeriq.com/api/v1/projects/string/integrations', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.rogeriq.com/api/v1/projects/string/integrations', headers=headers)print(response.json())
200
Response
{ "data": [ { "id": "<string>", "provider": "<string>", "status": "active", "display_name": "<string>", "setup_type": "<string>", "health_status": "<string>", "sidebar_enabled": true, "last_synced_at": "2024-01-01T00:00:00Z", "error_message": "<string>", "created_at": "2024-01-01T00:00:00Z", "updated_at": "2024-01-01T00:00:00Z" } ]}
API Playground
Try this endpoint
GET
/projects/{projectId}/integrations